# Consul::Peer::List

A presentational component for rendering Consul Peers

```hbs preview-template
<DataSource @src={{uri '/partition/default/dc-1/peers'}} as |source|>
  <Consul::Peer::List
    @items={{source.data}}
    @ondelete={{noop}}
  />
</DataSource>
```


## Arguments

| Argument/Attribute | Type | Default | Description |
| --- | --- | --- | --- |
| `items` | `array` |  | An array of Peers |
| `ondelete` | `function` |  | An action to execute when the `Delete` action is clicked |

## See

- [Template Source Code](./index.hbs)

---
